> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Update a workflow output

PATCH https://{tenant_name}.benchling.com/api/v2/workflow-outputs/{workflow_output_id}
Content-Type: application/json

Update a workflow output

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/workflow-outputs/update-workflow-output

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `workflow_output_id` (string, required) — The ID of the workflow output

### Body (application/json)

This endpoint expects a WorkflowOutputUpdate.

- `fields` (map from string to Field, optional)

## Response

### 200

OK

- `displayId` (string, optional) — User-friendly ID of the workflow task group
- `id` (string, optional) — The ID of the workflow output
- `archiveRecord` (ArchiveRecord, optional, nullable)
- `createdAt` (string, optional) — The ISO formatted date and time that the task was created
- `creationOrigin` (CreationOrigin, optional)
- `fields` (map from string to Field, optional)
- `modifiedAt` (string, optional) — The ISO formatted date and time that the task was last modified
- `nextOutputs` (list of WorkflowOutputSummary, optional) — The outputs in the flowchart which are generated by this output.
- `nextTasks` (list of WorkflowTaskSummary, optional) — The downstream tasks in the flowchart which are generated by this output.
- `sourceOutputs` (list of WorkflowOutputSummary, optional) — The outputs in the flowchart which were used to generate this output.
- `sourceTasks` (list of WorkflowTaskSummary, optional) — The tasks in the flowchart which were used to generate this output.
- `webURL` (string, optional) — URL of the workflow output
- `workflowTask` (WorkflowTaskSummary, optional)
- `workflowTaskGroup` (WorkflowTaskGroupSummary, optional)

## Errors

### 400 Bad Request Error

Bad request

- `error` (BadRequestErrorError, optional)

### 404 Not Found Error

Not found

- `error` (NotFoundErrorError, optional)

## Types

### Field

- `value` (FieldValue, required, nullable) — For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])
- `displayValue` (string, optional, nullable)
- `isMulti` (boolean, optional)
- `textValue` (string, optional, nullable)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`

### ArchiveRecord

- `reason` (string, optional)

### CreationOrigin

- `application` (string, optional, nullable)
- `originId` (string, optional, nullable)
- `originModalUuid` (string, optional, nullable)
- `originType` (string, optional, nullable)

### WorkflowOutputSummary

- `displayId` (string, optional) — User-friendly ID of the workflow task group
- `id` (string, optional) — The ID of the workflow output

### WorkflowTaskSummary

- `displayId` (string, optional) — User-friendly ID of the workflow task
- `id` (string, optional) — The ID of the workflow task

### WorkflowTaskGroupSummary

- `displayId` (string, optional) — User-friendly ID of the workflow task group
- `id` (string, optional) — The ID of the workflow task group
- `name` (string, optional) — The name of the workflow task group

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

### NotFoundErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)
- `invalidId` (string, optional)

### FieldValue

For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "displayId": "string",
  "id": "wfout_5cJLQKVF",
  "archiveRecord": {
    "reason": "Made in error"
  },
  "createdAt": "2020-08-01T00:00:00.000Z",
  "creationOrigin": {
    "application": "string",
    "originId": "string",
    "originModalUuid": "string",
    "originType": "string"
  },
  "fields": {},
  "modifiedAt": "2020-08-01T00:00:00.000Z",
  "nextOutputs": [
    {
      "displayId": "string",
      "id": "wfout_5cJLQKVF"
    }
  ],
  "nextTasks": [
    {
      "displayId": "string",
      "id": "wftask_OnnsW08k"
    }
  ],
  "sourceOutputs": [
    {
      "displayId": "string",
      "id": "wfout_5cJLQKVF"
    }
  ],
  "sourceTasks": [
    {
      "displayId": "string",
      "id": "wftask_OnnsW08k"
    }
  ],
  "webURL": "string",
  "workflowTask": {
    "displayId": "string",
    "id": "wftask_OnnsW08k"
  },
  "workflowTaskGroup": {
    "displayId": "string",
    "id": "prs_giVNQcTL",
    "name": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/workflow-outputs/wfout_5cJLQKVF"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/workflow-outputs/wfout_5cJLQKVF';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```